Version 6.x.x Source

Table Name: `tabNewsletter`

Create and Send Newsletters

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `newsletter_list` | Link | Newsletter List | Newsletter List
2 | `subject` | Small Text | Subject |
3 | `send_from` | Data | Sender |
4 | `email_sent` | Check | Email Sent? |
5 | `newsletter_content` | Section Break |  |
6 | `message` | Text Editor | Message |
7 | `test_the_newsletter` | Section Break |  |
8 | `test_email_id` | Data | Test Email Id A Lead with this email id should exist |
9 | `test_send` | Button | Test |
    test_send

### Controller

#### erpnext.crm.doctype.newsletter.newsletter

### Class Newsletter

Inherits from frappe.model.document.Document

get_recipients (self)

Get recipients from Newsletter List

onload (self)

No docs

send_bulk (self)

No docs

send_emails (self)

send emails to leads and customers

test_send (self, doctype=Lead)

No docs

validate_send (self)

No docs

Public API
`/api/method/erpnext.crm.doctype.newsletter.newsletter.confirm_subscription`

erpnext.crm.doctype.newsletter.newsletter.confirm_subscription (email)

No docs

erpnext.crm.doctype.newsletter.newsletter.create_lead (email_id)

create a lead if it does not exist

Public API
`/api/method/erpnext.crm.doctype.newsletter.newsletter.get_lead_options`

erpnext.crm.doctype.newsletter.newsletter.get_lead_options ()

No docs

erpnext.crm.doctype.newsletter.newsletter.return_unsubscribed_page (email)

No docs

Public API
`/api/method/erpnext.crm.doctype.newsletter.newsletter.subscribe`

erpnext.crm.doctype.newsletter.newsletter.subscribe (email)

No docs

Public API
`/api/method/erpnext.crm.doctype.newsletter.newsletter.unsubscribe`

erpnext.crm.doctype.newsletter.newsletter.unsubscribe (email, name)

No docs